package com.goldenwater.slgc.service.impl.pms;

import com.goldenwater.slgc.entity.pms.PmsChange;
import com.goldenwater.slgc.mapper.pms.PmsChangeMapper;
import com.goldenwater.slgc.service.pms.IPmsChangeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.util.List;

@Service
@Transactional
public class PmsChangeServiceImpl implements IPmsChangeService {
    @Autowired
    private PmsChangeMapper pmsChangeMapper;

    /**
     * 查询变更列表
     */
    @Override
    public List<PmsChange> selectList(PmsChange change) {
        return pmsChangeMapper.selectList(change);
    }

    /**
     * 根据主键查询变更
     */
    @Override
    public PmsChange selectById(Long id) {
        return pmsChangeMapper.selectById(id);
    }

    /**
     * 新增变更
     */
    @Override
    public int insert(PmsChange change) {
        return pmsChangeMapper.insert(change);
    }

    /**
     * 修改变更
     */
    @Override
    public int update(PmsChange change) {
        return pmsChangeMapper.update(change);
    }

    /**
     * 删除变更
     */
    @Override
    public int deleteById(Long id) {
        return pmsChangeMapper.deleteById(id);
    }

    /**
     * 批量删除变更
     */
    @Override
    public int deleteByIds(Long[] ids) {
        return pmsChangeMapper.deleteByIds(ids);
    }
}
